/*
 * Copyright 2014 Peter Olsson
 * 
 * This file is part of Brum Brum Rally.
 * 
 * Brum Brum Rally is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Brum Brum Rally is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "MenuText.h"
#include "StateManager.h"
#include "GameState.h"

MenuText::MenuText(const std::string& text, int y)
:	y(y)
{
	setText(text);
}

MenuText::MenuText(int y)
:	y(y)
{
}

void MenuText::setText(const std::string& text)
{
	Surface surface(text, BIG_FONT, TEXT_COLOR, TEXT_BORDER_COLOR);
	ro.setSurface(surface);
	ro.moveTo((GAME_WIDTH - surface.width()) / 2, y);
}

void MenuText::addTo(GameState* state)
{
	state->addRenderObject(ro);
}

void MenuText::removeFrom(GameState* state)
{
	state->removeRenderObject(ro);
}
